package net.minecraft.world.effect;

import net.minecraft.world.entity.ai.attributes.BaseAttributeMap;
import net.minecraft.world.entity.LivingEntity;

public class HealthBoostMobEffect extends MobEffect {
    public HealthBoostMobEffect(final MobEffectCategory akj, final int integer) {
        super(akj, integer);
    }
    
    @Override
    public void removeAttributeModifiers(final LivingEntity akz, final BaseAttributeMap alu, final int integer) {
        super.removeAttributeModifiers(akz, alu, integer);
        if (akz.getHealth() > akz.getMaxHealth()) {
            akz.setHealth(akz.getMaxHealth());
        }
    }
}
